
body {
  /* override the default margin of the html body */
  margin: 0;
  padding: 0;
  overflow: hidden;
}

canvas {
  margin: 0;
  padding: 0;
  max-width: 100%;
  max-height: 100vh;
}

#myCanvas {
  max-width: 100%;
  max-height: 100vh;

}


#canvasContainer {
  height: 100vh;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px;
  box-sizing: border-box;
}


  .loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(255, 255, 255);
    transition: opacity 0.85s, visibility 0.85s;
  }
  
  .loader-hidden {
    opacity: 0;
    visibility: hidden;
  }
  
  .loader::after {
    content: "";
    width: 85;
    height: 75px;
    border: 15px solid white;
    border-top-color: rgba(73, 20, 255, 0.853);
    border-radius: 50%;
    animation: loading 0.45s ease infinite;
  }
  
  @keyframes loading {
    from {
      transform: rotate(0turn);
    }
  
    to {
      transform: rotate(1turn);
    }
  }